Attribute VB_Name = "basFunzioniCostruzioni"
Option Explicit

Public Function KaCoulomb(Fi As Double, Beta As Double, Epsilon As Double, Delta As Double) As Variant
'La funzione calcola il coefficiente Ka per la determinazione
' della spinta attiva delle terre secondo Coulomb
'Argomenti della funzione sono:
'L'angolo di attrito interno del terreno Fi (sessadecimali)
'L'angolo di inclinazione della parete Beta (sessadecimali)
'L'angolo di inclinazione del terreno Epsilon (sessadecimali)
'L'angolo di attrito terra-parete Delta (sessadecimali)

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.

Dim PiGreco As Double
Dim FiRadianti As Double
Dim BetaRadianti As Double
Dim EpsilonRadianti As Double
Dim DeltaRadianti As Double
Dim Numeratore As Double
Dim Denominatore As Double
Dim RadiceQuadrata As Double
Dim Messaggio As String

If Epsilon > Fi Then
    Messaggio = "L'angolo di inclinazione del terrapieno non pu superare l'angolo di attrito interno del terreno!"
    MsgBox Messaggio, vbOKOnly, "Avviso"
    KaCoulomb = "Argomenti errati"
    Exit Function
End If

PiGreco = Atn(1) * 4
FiRadianti = Fi * PiGreco / 180#
BetaRadianti = Beta * PiGreco / 180#
EpsilonRadianti = Epsilon * PiGreco / 180#
DeltaRadianti = Delta * PiGreco / 180#
Numeratore = Sin(BetaRadianti + FiRadianti) ^ 2
RadiceQuadrata = Sqr(Sin(FiRadianti + DeltaRadianti) * Sin(FiRadianti - EpsilonRadianti) / Sin(BetaRadianti - DeltaRadianti) / Sin(BetaRadianti + EpsilonRadianti))
Denominatore = Sin(BetaRadianti) ^ 2 * Sin(BetaRadianti - DeltaRadianti) * (1 + RadiceQuadrata) ^ 2
KaCoulomb = Numeratore / Denominatore

End Function

Public Function KaRankine(Fi As Double, Epsilon As Double) As Variant
'La funzione calcola il coefficiente Ka per la determinazione
' della spinta attiva delle terre secondo Rankine
'Argomenti della funzione sono:
'L'angolo di attrito interno del terreno Fi (sessadecimali)
'L'angolo di inclinazione del terreno Epsilon (sessadecimali)

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.

Dim PiGreco As Double
Dim FiRadianti As Double
Dim EpsilonRadianti As Double
Dim Numeratore As Double
Dim Denominatore As Double
Dim Messaggio As String

If Epsilon > Fi Then
    Messaggio = "L'angolo di inclinazione del terrapieno non pu superare l'angolo di attrito interno del terreno!"
    MsgBox Messaggio, vbOKOnly, "Avviso"
    KaRankine = "Argomenti errati"
    Exit Function
End If


PiGreco = Atn(1) * 4
FiRadianti = Fi * PiGreco / 180#
EpsilonRadianti = Epsilon * PiGreco / 180#
Numeratore = Cos(EpsilonRadianti) - Sqr((Cos(EpsilonRadianti) ^ 2 - Cos(FiRadianti) ^ 2))
Denominatore = Cos(EpsilonRadianti) + Sqr((Cos(EpsilonRadianti) ^ 2 - Cos(FiRadianti) ^ 2))
KaRankine = Cos(EpsilonRadianti) * Numeratore / Denominatore
End Function

Public Function InerziaMaxRettangolo(Base As Double, Altezza As Double) As Double
'La funzione calcola il Momento di inerzia baricentrico massimo di un rettangolo
'Argomenti della funzione sono:
'La base e l'altezza del rettangolo

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.


If Altezza >= Base Then
    InerziaMaxRettangolo = Base * Altezza ^ 3 / 12
Else
    InerziaMaxRettangolo = Altezza * Base ^ 3 / 12
End If
End Function

Public Function WMaxRettangolo(Base As Double, Altezza As Double) As Double
'La funzione calcola il Momento di inerzia baricentrico massimo di un rettangolo
'Argomenti della funzione sono:
'La base e l'altezza del rettangolo

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.


If Altezza >= Base Then
    WMaxRettangolo = Base * Altezza ^ 2 / 6
Else
    WMaxRettangolo = Altezza * Base ^ 2 / 6
End If
End Function

Public Function WTriangolo(Base As Double, Altezza As Double) As Double
'La funzione calcola il Modulo di resistenza di un triangolo
'Argomenti della funzione sono:
'La base e l'altezza del triangolo

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.


WTriangolo = Base * Altezza ^ 2 / 24

End Function

Public Function InerziaTriangolo(Base As Double, Altezza As Double) As Double
'La funzione calcola il Momento di inerzia baricentrico di un triangolo
'Argomenti della funzione sono:
'La base e l'altezza del triangolo

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.


InerziaTriangolo = Base * Altezza ^ 3 / 36

End Function

Public Function RaggioInerziaTriangolo(Altezza As Double) As Double
'La funzione calcola il raggio di inerzia di un triangolo
'Argomenti della funzione sono:
'La base e l'altezza del triangolo

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.


RaggioInerziaTriangolo = Altezza / 6 * Sqr(2)

End Function

Public Function WCerchio(Raggio As Double) As Double

'La funzione calcola il Modulo di resistenza di un cerchio
'Argomento della funzione :
'il raggio del cerchio

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.

Dim PiGreco As Double
PiGreco = Atn(1) * 4

WCerchio = PiGreco + Raggio ^ 3 / 4

End Function
Public Function InerziaCerchio(Raggio As Double) As Double

'La funzione calcola il Momento di inerzia di un cerchio
'Argomento della funzione :
'il raggio del cerchio

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.

Dim PiGreco As Double
PiGreco = Atn(1) * 4

InerziaCerchio = PiGreco + Raggio ^ 4 / 4

End Function

Public Function RaggioInerziaMinRettangolo(Base As Double, Altezza As Double) As Double

'La funzione calcola il raggio d'inerzia minimo di un rettangolo
'Argomenti della funzione sono:
'La base e l'altezza del rettangolo

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.

If Altezza >= Base Then
    RaggioInerziaMinRettangolo = Base / Sqr(12)
Else
    RaggioInerziaMinRettangolo = Altezza / Sqr(12)
End If
End Function

Public Function RaggioInerziaCerchio(Raggio As Double) As Double

'La funzione calcola il raggio d'inerzia di un cerchio
'Argomento della funzione :
'il raggio del cerchio

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.


RaggioInerziaCerchio = Raggio / 2

End Function


Public Function OmegaLegnoDIN(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Norme DIN)
'per il calcolo di puntoni in legno resinoso a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 160 Then
    OmegaLegnoDIN = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1.07
    Case Is <= 20
        OmegaInferiore = 1.07
        OmegaSuperiore = 1.15
    Case Is <= 30
        OmegaInferiore = 1.15
        OmegaSuperiore = 1.25
    Case Is <= 40
        OmegaInferiore = 1.25
        OmegaSuperiore = 1.36
    Case Is <= 50
        OmegaInferiore = 1.36
        OmegaSuperiore = 1.5
    Case Is <= 60
        OmegaInferiore = 1.5
        OmegaSuperiore = 1.67
    Case Is <= 70
        OmegaInferiore = 1.67
        OmegaSuperiore = 1.87
    Case Is <= 80
        OmegaInferiore = 1.87
        OmegaSuperiore = 2.14
    Case Is <= 90
        OmegaInferiore = 2.14
        OmegaSuperiore = 2.5
    Case Is <= 100
        OmegaInferiore = 2.5
        OmegaSuperiore = 3
    Case Is <= 110
        OmegaInferiore = 3
        OmegaSuperiore = 3.73
    Case Is <= 120
        OmegaInferiore = 3.73
        OmegaSuperiore = 4.55
    Case Is <= 130
        OmegaInferiore = 4.55
        OmegaSuperiore = 5.48
    Case Is <= 140
        OmegaInferiore = 5.48
        OmegaSuperiore = 6.51
    Case Is <= 150
        OmegaInferiore = 6.51
        OmegaSuperiore = 7.65
    Case Is <= 160
        OmegaInferiore = 7.65
        OmegaSuperiore = 8.91
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaLegnoDIN = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaLegnoDIN = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
End If

End Function
Public Function OmegaLegnoforteCNR(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega per il legno forte
'(CNR Consiglio Nazionale Ricerche)
'per il calcolo di puntoni in legno forte a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 160 Then
    OmegaLegnoforteCNR = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1.13
    Case Is <= 20
        OmegaInferiore = 1.13
        OmegaSuperiore = 1.28
    Case Is <= 30
        OmegaInferiore = 1.28
        OmegaSuperiore = 1.46
    Case Is <= 40
        OmegaInferiore = 1.46
        OmegaSuperiore = 1.68
    Case Is <= 50
        OmegaInferiore = 1.68
        OmegaSuperiore = 1.96
    Case Is <= 60
        OmegaInferiore = 1.96
        OmegaSuperiore = 2.33
    Case Is <= 70
        OmegaInferiore = 2.33
        OmegaSuperiore = 2.81
    Case Is <= 80
        OmegaInferiore = 2.81
        OmegaSuperiore = 3.49
    Case Is <= 90
        OmegaInferiore = 3.49
        OmegaSuperiore = 4.53
    Case Is <= 100
        OmegaInferiore = 4.53
        OmegaSuperiore = 6.3
    Case Is <= 110
        OmegaInferiore = 6.3
        OmegaSuperiore = 7.62
    Case Is <= 120
        OmegaInferiore = 7.62
        OmegaSuperiore = 9.07
    Case Is <= 130
        OmegaInferiore = 9.07
        OmegaSuperiore = 10.65
    Case Is <= 140
        OmegaInferiore = 10.65
        OmegaSuperiore = 12.35
    Case Is <= 150
        OmegaInferiore = 12.35
        OmegaSuperiore = 14.18
    Case Is <= 160
        OmegaInferiore = 14.18
        OmegaSuperiore = 16.13
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaLegnoforteCNR = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaLegnoforteCNR = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
End If

End Function
Public Function OmegaLegnoResinosoCNR(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega per il legno resinoso
'(CNR Consiglio Nazionale Ricerche)
'per il calcolo di puntoni in legno resinoso a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 160 Then
    OmegaLegnoResinosoCNR = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1.12
    Case Is <= 20
        OmegaInferiore = 1.12
        OmegaSuperiore = 1.26
    Case Is <= 30
        OmegaInferiore = 1.26
        OmegaSuperiore = 1.43
    Case Is <= 40
        OmegaInferiore = 1.43
        OmegaSuperiore = 1.62
    Case Is <= 50
        OmegaInferiore = 1.62
        OmegaSuperiore = 1.87
    Case Is <= 60
        OmegaInferiore = 1.87
        OmegaSuperiore = 2.17
    Case Is <= 70
        OmegaInferiore = 2.17
        OmegaSuperiore = 2.56
    Case Is <= 80
        OmegaInferiore = 2.56
        OmegaSuperiore = 3.08
    Case Is <= 90
        OmegaInferiore = 3.08
        OmegaSuperiore = 3.81
    Case Is <= 100
        OmegaInferiore = 3.81
        OmegaSuperiore = 4.89
    Case Is <= 110
        OmegaInferiore = 4.89
        OmegaSuperiore = 5.93
    Case Is <= 120
        OmegaInferiore = 5.93
        OmegaSuperiore = 7.06
    Case Is <= 130
        OmegaInferiore = 7.06
        OmegaSuperiore = 8.28
    Case Is <= 140
        OmegaInferiore = 8.28
        OmegaSuperiore = 9.6
    Case Is <= 150
        OmegaInferiore = 9.6
        OmegaSuperiore = 11.02
    Case Is <= 160
        OmegaInferiore = 11.02
        OmegaSuperiore = 12.54
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaLegnoResinosoCNR = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaLegnoResinosoCNR = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
End If

End Function




Public Function OmegaAcciaio360B(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio360B = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.01
    Case Is <= 30
        OmegaInferiore = 1.01
        OmegaSuperiore = 1.05
    Case Is <= 40
        OmegaInferiore = 1.05
        OmegaSuperiore = 1.1
    Case Is <= 50
        OmegaInferiore = 1.1
        OmegaSuperiore = 1.15
    Case Is <= 60
        OmegaInferiore = 1.15
        OmegaSuperiore = 1.23
    Case Is <= 70
        OmegaInferiore = 1.23
        OmegaSuperiore = 1.33
    Case Is <= 80
        OmegaInferiore = 1.33
        OmegaSuperiore = 1.45
    Case Is <= 90
        OmegaInferiore = 1.45
        OmegaSuperiore = 1.62
    Case Is <= 100
        OmegaInferiore = 1.62
        OmegaSuperiore = 1.81
    Case Is <= 110
        OmegaInferiore = 1.81
        OmegaSuperiore = 2.04
    Case Is <= 120
        OmegaInferiore = 2.04
        OmegaSuperiore = 2.31
    Case Is <= 130
        OmegaInferiore = 2.31
        OmegaSuperiore = 2.61
    Case Is <= 140
        OmegaInferiore = 2.61
        OmegaSuperiore = 2.94
    Case Is <= 150
        OmegaInferiore = 2.94
        OmegaSuperiore = 3.3
    Case Is <= 160
        OmegaInferiore = 3.3
        OmegaSuperiore = 3.7
    Case Is <= 170
        OmegaInferiore = 3.7
        OmegaSuperiore = 4.11
    Case Is <= 180
        OmegaInferiore = 4.11
        OmegaSuperiore = 4.56
    Case Is <= 190
        OmegaInferiore = 4.56
        OmegaSuperiore = 5.02
    Case Is <= 200
        OmegaInferiore = 5.02
        OmegaSuperiore = 5.51
    Case Is <= 210
        OmegaInferiore = 5.51
        OmegaSuperiore = 6.02
    Case Is <= 220
        OmegaInferiore = 6.02
        OmegaSuperiore = 6.57
    Case Is <= 230
        OmegaInferiore = 6.57
        OmegaSuperiore = 7.13
    Case Is <= 240
        OmegaInferiore = 7.13
        OmegaSuperiore = 7.69
    Case Is <= 250
        OmegaInferiore = 7.69
        OmegaSuperiore = 8.29
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio360B = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio360B = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio360B = Int(OmegaAcciaio360B * 100 + 0.5) / 100
End If

End Function

Public Function OmegaAcciaio(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.


Dim ModuloElasticoAcciaio As Double
Dim TensioneDiSnervamentoAcciaio As Double
Dim LambdaCritico As Double
Dim LambdaSoprallineato As Double
Dim Alfa As Double
Dim PiGreco As Double
Dim PartePrima As Double
Dim ParteSeconda As Double
Dim ParteTerza

If Lambda > 200 Then
    OmegaAcciaio = "Snellezza troppo elevata!"
    Exit Function
End If

'Costanti
ModuloElasticoAcciaio = 206000
PiGreco = Atn(1) * 4
'le curve A, B, C, D differiscono per i valori della tensione di snervamento
'e per il coefficiente Alfa
'valori per Fe 360:
TensioneDiSnervamentoAcciaio = 235
Alfa = 0.281

LambdaCritico = PiGreco * Sqr(ModuloElasticoAcciaio / TensioneDiSnervamentoAcciaio)
LambdaSoprallineato = Lambda / LambdaCritico
If LambdaSoprallineato <= 0.2 Then
    OmegaAcciaio = 1
    Exit Function
End If

'Calcolo Omega
PartePrima = 1 + Alfa * Sqr(LambdaSoprallineato ^ 2 - 0.04) + LambdaSoprallineato ^ 2
ParteSeconda = Sqr(PartePrima ^ 2 - 4 * LambdaSoprallineato ^ 2)
OmegaAcciaio = (PartePrima - ParteSeconda) / (2 * LambdaSoprallineato ^ 2)

End Function

Public Function OmegaAcciaio360A(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio360A = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 30
        OmegaInferiore = 1
        OmegaSuperiore = 1.03
    Case Is <= 40
        OmegaInferiore = 1.03
        OmegaSuperiore = 1.06
    Case Is <= 50
        OmegaInferiore = 1.06
        OmegaSuperiore = 1.1
    Case Is <= 60
        OmegaInferiore = 1.1
        OmegaSuperiore = 1.16
    Case Is <= 70
        OmegaInferiore = 1.16
        OmegaSuperiore = 1.22
    Case Is <= 80
        OmegaInferiore = 1.22
        OmegaSuperiore = 1.31
    Case Is <= 90
        OmegaInferiore = 1.31
        OmegaSuperiore = 1.44
    Case Is <= 100
        OmegaInferiore = 1.44
        OmegaSuperiore = 1.61
    Case Is <= 110
        OmegaInferiore = 1.61
        OmegaSuperiore = 1.82
    Case Is <= 120
        OmegaInferiore = 1.82
        OmegaSuperiore = 2.06
    Case Is <= 130
        OmegaInferiore = 2.06
        OmegaSuperiore = 2.34
    Case Is <= 140
        OmegaInferiore = 2.34
        OmegaSuperiore = 2.65
    Case Is <= 150
        OmegaInferiore = 2.65
        OmegaSuperiore = 2.98
    Case Is <= 160
        OmegaInferiore = 2.98
        OmegaSuperiore = 3.34
    Case Is <= 170
        OmegaInferiore = 3.34
        OmegaSuperiore = 3.72
    Case Is <= 180
        OmegaInferiore = 3.72
        OmegaSuperiore = 4.14
    Case Is <= 190
        OmegaInferiore = 4.14
        OmegaSuperiore = 4.58
    Case Is <= 200
        OmegaInferiore = 4.58
        OmegaSuperiore = 5.03
    Case Is <= 210
        OmegaInferiore = 5.03
        OmegaSuperiore = 5.52
    Case Is <= 220
        OmegaInferiore = 5.52
        OmegaSuperiore = 6.03
    Case Is <= 230
        OmegaInferiore = 6.03
        OmegaSuperiore = 6.57
    Case Is <= 240
        OmegaInferiore = 6.57
        OmegaSuperiore = 7.14
    Case Is <= 250
        OmegaInferiore = 7.14
        OmegaSuperiore = 7.73
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio360A = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio360A = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio360A = Int(OmegaAcciaio360A * 100 + 0.5) / 100
End If

End Function

Public Function OmegaAcciaio360C(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio360C = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.01
    Case Is <= 30
        OmegaInferiore = 1.01
        OmegaSuperiore = 1.06
    Case Is <= 40
        OmegaInferiore = 1.06
        OmegaSuperiore = 1.13
    Case Is <= 50
        OmegaInferiore = 1.13
        OmegaSuperiore = 1.22
    Case Is <= 60
        OmegaInferiore = 1.22
        OmegaSuperiore = 1.33
    Case Is <= 70
        OmegaInferiore = 1.33
        OmegaSuperiore = 1.46
    Case Is <= 80
        OmegaInferiore = 1.46
        OmegaSuperiore = 1.62
    Case Is <= 90
        OmegaInferiore = 1.62
        OmegaSuperiore = 1.81
    Case Is <= 100
        OmegaInferiore = 1.81
        OmegaSuperiore = 2.01
    Case Is <= 110
        OmegaInferiore = 2.01
        OmegaSuperiore = 2.24
    Case Is <= 120
        OmegaInferiore = 2.24
        OmegaSuperiore = 2.51
    Case Is <= 130
        OmegaInferiore = 2.51
        OmegaSuperiore = 2.8
    Case Is <= 140
        OmegaInferiore = 2.8
        OmegaSuperiore = 3.11
    Case Is <= 150
        OmegaInferiore = 3.11
        OmegaSuperiore = 3.46
    Case Is <= 160
        OmegaInferiore = 3.46
        OmegaSuperiore = 3.85
    Case Is <= 170
        OmegaInferiore = 3.85
        OmegaSuperiore = 4.28
    Case Is <= 180
        OmegaInferiore = 4.28
        OmegaSuperiore = 4.69
    Case Is <= 190
        OmegaInferiore = 4.69
        OmegaSuperiore = 5.13
    Case Is <= 200
        OmegaInferiore = 5.13
        OmegaSuperiore = 5.6
    Case Is <= 210
        OmegaInferiore = 5.6
        OmegaSuperiore = 6.11
    Case Is <= 220
        OmegaInferiore = 6.11
        OmegaSuperiore = 6.65
    Case Is <= 230
        OmegaInferiore = 6.65
        OmegaSuperiore = 7.2
    Case Is <= 240
        OmegaInferiore = 7.2
        OmegaSuperiore = 7.75
    Case Is <= 250
        OmegaInferiore = 7.75
        OmegaSuperiore = 8.36
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio360C = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio360C = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio360C = Int(OmegaAcciaio360C * 100 + 0.5) / 100
End If

End Function

Public Function OmegaAcciaio360D(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio360D = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 30
        OmegaInferiore = 1
        OmegaSuperiore = 1.09
    Case Is <= 40
        OmegaInferiore = 1.09
        OmegaSuperiore = 1.19
    Case Is <= 50
        OmegaInferiore = 1.19
        OmegaSuperiore = 1.3
    Case Is <= 60
        OmegaInferiore = 1.3
        OmegaSuperiore = 1.44
    Case Is <= 70
        OmegaInferiore = 1.44
        OmegaSuperiore = 1.58
    Case Is <= 80
        OmegaInferiore = 1.58
        OmegaSuperiore = 1.76
    Case Is <= 90
        OmegaInferiore = 1.76
        OmegaSuperiore = 1.95
    Case Is <= 100
        OmegaInferiore = 1.95
        OmegaSuperiore = 2.15
    Case Is <= 110
        OmegaInferiore = 2.15
        OmegaSuperiore = 2.37
    Case Is <= 120
        OmegaInferiore = 2.37
        OmegaSuperiore = 2.61
    Case Is <= 130
        OmegaInferiore = 2.61
        OmegaSuperiore = 2.88
    Case Is <= 140
        OmegaInferiore = 2.88
        OmegaSuperiore = 3.18
    Case Is <= 150
        OmegaInferiore = 3.18
        OmegaSuperiore = 3.47
    Case Is <= 160
        OmegaInferiore = 3.47
        OmegaSuperiore = 3.81
    Case Is <= 170
        OmegaInferiore = 3.81
        OmegaSuperiore = 4.17
    Case Is <= 180
        OmegaInferiore = 4.17
        OmegaSuperiore = 4.55
    Case Is <= 190
        OmegaInferiore = 4.55
        OmegaSuperiore = 4.96
    Case Is <= 200
        OmegaInferiore = 4.96
        OmegaSuperiore = 5.39
    Case Is <= 210
        OmegaInferiore = 5.39
        OmegaSuperiore = 5.84
    Case Is <= 220
        OmegaInferiore = 5.84
        OmegaSuperiore = 6.31
    Case Is <= 230
        OmegaInferiore = 6.31
        OmegaSuperiore = 6.81
    Case Is <= 240
        OmegaInferiore = 6.81
        OmegaSuperiore = 7.33
    Case Is <= 250
        OmegaInferiore = 7.33
        OmegaSuperiore = 7.87
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio360D = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio360D = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio360D = Int(OmegaAcciaio360D * 100 + 0.5) / 100
End If

End Function

Public Function OmegaAcciaio430A(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio430A = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.01
    Case Is <= 30
        OmegaInferiore = 1.01
        OmegaSuperiore = 1.04
    Case Is <= 40
        OmegaInferiore = 1.04
        OmegaSuperiore = 1.07
    Case Is <= 50
        OmegaInferiore = 1.07
        OmegaSuperiore = 1.12
    Case Is <= 60
        OmegaInferiore = 1.12
        OmegaSuperiore = 1.18
    Case Is <= 70
        OmegaInferiore = 1.18
        OmegaSuperiore = 1.27
    Case Is <= 80
        OmegaInferiore = 1.27
        OmegaSuperiore = 1.39
    Case Is <= 90
        OmegaInferiore = 1.39
        OmegaSuperiore = 1.55
    Case Is <= 100
        OmegaInferiore = 1.55
        OmegaSuperiore = 1.77
    Case Is <= 110
        OmegaInferiore = 1.77
        OmegaSuperiore = 2.03
    Case Is <= 120
        OmegaInferiore = 2.03
        OmegaSuperiore = 2.33
    Case Is <= 130
        OmegaInferiore = 2.33
        OmegaSuperiore = 2.66
    Case Is <= 140
        OmegaInferiore = 2.66
        OmegaSuperiore = 3.02
    Case Is <= 150
        OmegaInferiore = 3.02
        OmegaSuperiore = 3.41
    Case Is <= 160
        OmegaInferiore = 3.41
        OmegaSuperiore = 3.83
    Case Is <= 170
        OmegaInferiore = 3.83
        OmegaSuperiore = 4.29
    Case Is <= 180
        OmegaInferiore = 4.29
        OmegaSuperiore = 4.75
    Case Is <= 190
        OmegaInferiore = 4.75
        OmegaSuperiore = 5.28
    Case Is <= 200
        OmegaInferiore = 5.28
        OmegaSuperiore = 5.83
    Case Is <= 210
        OmegaInferiore = 5.83
        OmegaSuperiore = 6.4
    Case Is <= 220
        OmegaInferiore = 6.4
        OmegaSuperiore = 7
    Case Is <= 230
        OmegaInferiore = 7
        OmegaSuperiore = 7.64
    Case Is <= 240
        OmegaInferiore = 7.64
        OmegaSuperiore = 8.31
    Case Is <= 250
        OmegaInferiore = 8.31
        OmegaSuperiore = 8.98
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio430A = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio430A = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio430A = Int(OmegaAcciaio430A * 100 + 0.5) / 100
End If

End Function

Public Function OmegaAcciaio430B(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio430B = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.01
    Case Is <= 30
        OmegaInferiore = 1.01
        OmegaSuperiore = 1.06
    Case Is <= 40
        OmegaInferiore = 1.06
        OmegaSuperiore = 1.11
    Case Is <= 50
        OmegaInferiore = 1.11
        OmegaSuperiore = 1.18
    Case Is <= 60
        OmegaInferiore = 1.18
        OmegaSuperiore = 1.27
    Case Is <= 70
        OmegaInferiore = 1.27
        OmegaSuperiore = 1.39
    Case Is <= 80
        OmegaInferiore = 1.39
        OmegaSuperiore = 1.55
    Case Is <= 90
        OmegaInferiore = 1.55
        OmegaSuperiore = 1.75
    Case Is <= 100
        OmegaInferiore = 1.75
        OmegaSuperiore = 1.99
    Case Is <= 110
        OmegaInferiore = 1.99
        OmegaSuperiore = 2.28
    Case Is <= 120
        OmegaInferiore = 2.28
        OmegaSuperiore = 2.6
    Case Is <= 130
        OmegaInferiore = 2.6
        OmegaSuperiore = 2.95
    Case Is <= 140
        OmegaInferiore = 2.95
        OmegaSuperiore = 3.34
    Case Is <= 150
        OmegaInferiore = 3.34
        OmegaSuperiore = 3.79
    Case Is <= 160
        OmegaInferiore = 3.79
        OmegaSuperiore = 4.23
    Case Is <= 170
        OmegaInferiore = 4.23
        OmegaSuperiore = 4.73
    Case Is <= 180
        OmegaInferiore = 4.73
        OmegaSuperiore = 5.23
    Case Is <= 190
        OmegaInferiore = 5.23
        OmegaSuperiore = 5.77
    Case Is <= 200
        OmegaInferiore = 5.77
        OmegaSuperiore = 6.35
    Case Is <= 210
        OmegaInferiore = 6.35
        OmegaSuperiore = 6.96
    Case Is <= 220
        OmegaInferiore = 6.96
        OmegaSuperiore = 7.57
    Case Is <= 230
        OmegaInferiore = 7.57
        OmegaSuperiore = 8.2
    Case Is <= 240
        OmegaInferiore = 8.2
        OmegaSuperiore = 8.87
    Case Is <= 250
        OmegaInferiore = 8.87
        OmegaSuperiore = 9.61
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio430B = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio430B = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio430B = Int(OmegaAcciaio430B * 100 + 0.5) / 100
End If

End Function

Public Function OmegaAcciaio430C(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio430C = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.02
    Case Is <= 30
        OmegaInferiore = 1.02
        OmegaSuperiore = 1.08
    Case Is <= 40
        OmegaInferiore = 1.08
        OmegaSuperiore = 1.16
    Case Is <= 50
        OmegaInferiore = 1.16
        OmegaSuperiore = 1.26
    Case Is <= 60
        OmegaInferiore = 1.26
        OmegaSuperiore = 1.39
    Case Is <= 70
        OmegaInferiore = 1.39
        OmegaSuperiore = 1.55
    Case Is <= 80
        OmegaInferiore = 1.55
        OmegaSuperiore = 1.74
    Case Is <= 90
        OmegaInferiore = 1.74
        OmegaSuperiore = 1.95
    Case Is <= 100
        OmegaInferiore = 1.95
        OmegaSuperiore = 2.19
    Case Is <= 110
        OmegaInferiore = 2.19
        OmegaSuperiore = 2.48
    Case Is <= 120
        OmegaInferiore = 2.48
        OmegaSuperiore = 2.79
    Case Is <= 130
        OmegaInferiore = 2.79
        OmegaSuperiore = 3.13
    Case Is <= 140
        OmegaInferiore = 3.13
        OmegaSuperiore = 3.51
    Case Is <= 150
        OmegaInferiore = 3.51
        OmegaSuperiore = 3.93
    Case Is <= 160
        OmegaInferiore = 3.93
        OmegaSuperiore = 4.38
    Case Is <= 170
        OmegaInferiore = 4.38
        OmegaSuperiore = 4.84
    Case Is <= 180
        OmegaInferiore = 4.84
        OmegaSuperiore = 5.33
    Case Is <= 190
        OmegaInferiore = 5.33
        OmegaSuperiore = 5.86
    Case Is <= 200
        OmegaInferiore = 5.86
        OmegaSuperiore = 6.43
    Case Is <= 210
        OmegaInferiore = 6.43
        OmegaSuperiore = 7.03
    Case Is <= 220
        OmegaInferiore = 7.03
        OmegaSuperiore = 7.63
    Case Is <= 230
        OmegaInferiore = 7.63
        OmegaSuperiore = 8.26
    Case Is <= 240
        OmegaInferiore = 8.26
        OmegaSuperiore = 8.93
    Case Is <= 250
        OmegaInferiore = 8.93
        OmegaSuperiore = 9.62
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio430C = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio430C = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio430C = Int(OmegaAcciaio430C * 100 + 0.5) / 100
End If

End Function

Public Function OmegaAcciaio430D(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio430D = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.02
    Case Is <= 30
        OmegaInferiore = 1.02
        OmegaSuperiore = 1.12
    Case Is <= 40
        OmegaInferiore = 1.12
        OmegaSuperiore = 1.24
    Case Is <= 50
        OmegaInferiore = 1.24
        OmegaSuperiore = 1.37
    Case Is <= 60
        OmegaInferiore = 1.37
        OmegaSuperiore = 1.53
    Case Is <= 70
        OmegaInferiore = 1.53
        OmegaSuperiore = 1.71
    Case Is <= 80
        OmegaInferiore = 1.71
        OmegaSuperiore = 1.91
    Case Is <= 90
        OmegaInferiore = 1.91
        OmegaSuperiore = 2.13
    Case Is <= 100
        OmegaInferiore = 2.13
        OmegaSuperiore = 2.39
    Case Is <= 110
        OmegaInferiore = 2.39
        OmegaSuperiore = 2.64
    Case Is <= 120
        OmegaInferiore = 2.64
        OmegaSuperiore = 2.94
    Case Is <= 130
        OmegaInferiore = 2.94
        OmegaSuperiore = 3.26
    Case Is <= 140
        OmegaInferiore = 3.26
        OmegaSuperiore = 3.61
    Case Is <= 150
        OmegaInferiore = 3.61
        OmegaSuperiore = 4
    Case Is <= 160
        OmegaInferiore = 4
        OmegaSuperiore = 4.11
    Case Is <= 170
        OmegaInferiore = 4.11
        OmegaSuperiore = 4.85
    Case Is <= 180
        OmegaInferiore = 4.85
        OmegaSuperiore = 5.32
    Case Is <= 190
        OmegaInferiore = 5.32
        OmegaSuperiore = 5.81
    Case Is <= 200
        OmegaInferiore = 5.81
        OmegaSuperiore = 6.33
    Case Is <= 210
        OmegaInferiore = 6.33
        OmegaSuperiore = 6.89
    Case Is <= 220
        OmegaInferiore = 6.89
        OmegaSuperiore = 7.46
    Case Is <= 230
        OmegaInferiore = 7.46
        OmegaSuperiore = 8.06
    Case Is <= 240
        OmegaInferiore = 8.06
        OmegaSuperiore = 8.68
    Case Is <= 250
        OmegaInferiore = 8.68
        OmegaSuperiore = 9.34
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio430D = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio430D = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio430D = Int(OmegaAcciaio430D * 100 + 0.5) / 100
End If

End Function

Public Function OmegaAcciaio510A(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio510A = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.01
    Case Is <= 30
        OmegaInferiore = 1.01
        OmegaSuperiore = 1.05
    Case Is <= 40
        OmegaInferiore = 1.05
        OmegaSuperiore = 1.1
    Case Is <= 50
        OmegaInferiore = 1.1
        OmegaSuperiore = 1.16
    Case Is <= 60
        OmegaInferiore = 1.16
        OmegaSuperiore = 1.25
    Case Is <= 70
        OmegaInferiore = 1.25
        OmegaSuperiore = 1.38
    Case Is <= 80
        OmegaInferiore = 1.38
        OmegaSuperiore = 1.57
    Case Is <= 90
        OmegaInferiore = 1.57
        OmegaSuperiore = 1.82
    Case Is <= 100
        OmegaInferiore = 1.82
        OmegaSuperiore = 2.13
    Case Is <= 110
        OmegaInferiore = 2.13
        OmegaSuperiore = 2.48
    Case Is <= 120
        OmegaInferiore = 2.48
        OmegaSuperiore = 2.88
    Case Is <= 130
        OmegaInferiore = 2.88
        OmegaSuperiore = 3.31
    Case Is <= 140
        OmegaInferiore = 3.31
        OmegaSuperiore = 3.78
    Case Is <= 150
        OmegaInferiore = 3.78
        OmegaSuperiore = 4.3
    Case Is <= 160
        OmegaInferiore = 4.3
        OmegaSuperiore = 4.86
    Case Is <= 170
        OmegaInferiore = 4.86
        OmegaSuperiore = 5.43
    Case Is <= 180
        OmegaInferiore = 5.43
        OmegaSuperiore = 6.05
    Case Is <= 190
        OmegaInferiore = 6.05
        OmegaSuperiore = 6.72
    Case Is <= 200
        OmegaInferiore = 6.72
        OmegaSuperiore = 7.43
    Case Is <= 210
        OmegaInferiore = 7.43
        OmegaSuperiore = 8.15
    Case Is <= 220
        OmegaInferiore = 8.15
        OmegaSuperiore = 8.95
    Case Is <= 230
        OmegaInferiore = 8.95
        OmegaSuperiore = 9.73
    Case Is <= 240
        OmegaInferiore = 9.73
        OmegaSuperiore = 10.6
    Case Is <= 250
        OmegaInferiore = 10.6
        OmegaSuperiore = 11.49
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio510A = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio510A = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio510A = Int(OmegaAcciaio510A * 100 + 0.5) / 100
End If
End Function

Public Function OmegaAcciaio510B(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio510B = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.02
    Case Is <= 30
        OmegaInferiore = 1.02
        OmegaSuperiore = 1.08
    Case Is <= 40
        OmegaInferiore = 1.08
        OmegaSuperiore = 1.15
    Case Is <= 50
        OmegaInferiore = 1.15
        OmegaSuperiore = 1.24
    Case Is <= 60
        OmegaInferiore = 1.24
        OmegaSuperiore = 1.37
    Case Is <= 70
        OmegaInferiore = 1.37
        OmegaSuperiore = 1.54
    Case Is <= 80
        OmegaInferiore = 1.54
        OmegaSuperiore = 1.77
    Case Is <= 90
        OmegaInferiore = 1.77
        OmegaSuperiore = 2.05
    Case Is <= 100
        OmegaInferiore = 2.05
        OmegaSuperiore = 2.38
    Case Is <= 110
        OmegaInferiore = 2.38
        OmegaSuperiore = 2.76
    Case Is <= 120
        OmegaInferiore = 2.76
        OmegaSuperiore = 3.19
    Case Is <= 130
        OmegaInferiore = 3.19
        OmegaSuperiore = 3.67
    Case Is <= 140
        OmegaInferiore = 3.67
        OmegaSuperiore = 4.17
    Case Is <= 150
        OmegaInferiore = 4.17
        OmegaSuperiore = 4.73
    Case Is <= 160
        OmegaInferiore = 4.73
        OmegaSuperiore = 5.31
    Case Is <= 170
        OmegaInferiore = 5.31
        OmegaSuperiore = 5.93
    Case Is <= 180
        OmegaInferiore = 5.93
        OmegaSuperiore = 6.6
    Case Is <= 190
        OmegaInferiore = 6.6
        OmegaSuperiore = 7.29
    Case Is <= 200
        OmegaInferiore = 7.29
        OmegaSuperiore = 8.01
    Case Is <= 210
        OmegaInferiore = 8.01
        OmegaSuperiore = 8.74
    Case Is <= 220
        OmegaInferiore = 8.74
        OmegaSuperiore = 9.57
    Case Is <= 230
        OmegaInferiore = 9.57
        OmegaSuperiore = 10.45
    Case Is <= 240
        OmegaInferiore = 10.45
        OmegaSuperiore = 11.4
    Case Is <= 250
        OmegaInferiore = 11.4
        OmegaSuperiore = 12.4
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio510B = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio510B = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio510B = Int(OmegaAcciaio510B * 100 + 0.5) / 100
End If


End Function

Public Function OmegaAcciaio510C(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 250 Then
    OmegaAcciaio510C = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.03
    Case Is <= 30
        OmegaInferiore = 1.03
        OmegaSuperiore = 1.11
    Case Is <= 40
        OmegaInferiore = 1.11
        OmegaSuperiore = 1.21
    Case Is <= 50
        OmegaInferiore = 1.21
        OmegaSuperiore = 1.34
    Case Is <= 60
        OmegaInferiore = 1.34
        OmegaSuperiore = 1.51
    Case Is <= 70
        OmegaInferiore = 1.51
        OmegaSuperiore = 1.72
    Case Is <= 80
        OmegaInferiore = 1.72
        OmegaSuperiore = 1.97
    Case Is <= 90
        OmegaInferiore = 1.97
        OmegaSuperiore = 2.25
    Case Is <= 100
        OmegaInferiore = 2.25
        OmegaSuperiore = 2.58
    Case Is <= 110
        OmegaInferiore = 2.58
        OmegaSuperiore = 2.95
    Case Is <= 120
        OmegaInferiore = 2.95
        OmegaSuperiore = 3.35
    Case Is <= 130
        OmegaInferiore = 3.35
        OmegaSuperiore = 3.82
    Case Is <= 140
        OmegaInferiore = 3.82
        OmegaSuperiore = 4.32
    Case Is <= 150
        OmegaInferiore = 4.32
        OmegaSuperiore = 4.85
    Case Is <= 160
        OmegaInferiore = 4.85
        OmegaSuperiore = 5.4
    Case Is <= 170
        OmegaInferiore = 5.4
        OmegaSuperiore = 6.02
    Case Is <= 180
        OmegaInferiore = 6.02
        OmegaSuperiore = 6.67
    Case Is <= 190
        OmegaInferiore = 6.67
        OmegaSuperiore = 7.34
    Case Is <= 200
        OmegaInferiore = 7.34
        OmegaSuperiore = 8.07
    Case Is <= 210
        OmegaInferiore = 8.07
        OmegaSuperiore = 8.8
    Case Is <= 220
        OmegaInferiore = 8.8
        OmegaSuperiore = 9.58
    Case Is <= 230
        OmegaInferiore = 9.58
        OmegaSuperiore = 10.45
    Case Is <= 240
        OmegaInferiore = 10.45
        OmegaSuperiore = 11.4
    Case Is <= 250
        OmegaInferiore = 11.4
        OmegaSuperiore = 12.4
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio510C = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio510C = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio510C = Int(OmegaAcciaio510C * 100 + 0.5) / 100
End If

End Function

Public Function OmegaAcciaio510D(Lambda As Double) As Variant
'La funzione calcola il coefficiente omega (Normativa italiana)
'per il calcolo di aste in acciaio a carico di punta
'Argomento della funzione :
'la snellezza lambda

'Il presente codice pu essere utilizzato a scopi didattici
'senza rimuovere le informazioni sull'autore
'Carlo Palatella carlopala@tiscali.it
'http://www.web.tiscali.it/Didattica
'E' escluso qualsiasi uso commerciale.
Dim OmegaInferiore As Double
Dim OmegaSuperiore As Double
Dim DeltaLambda As Double
Dim DeltaOmega As Double

If Lambda > 243 Then
    OmegaAcciaio510D = "Snellezza troppo elevata!"
    Exit Function
End If
Select Case Lambda
    Case Is <= 10
        OmegaInferiore = 1
        OmegaSuperiore = 1
    Case Is <= 20
        OmegaInferiore = 1
        OmegaSuperiore = 1.04
    Case Is <= 30
        OmegaInferiore = 1.04
        OmegaSuperiore = 1.16
    Case Is <= 40
        OmegaInferiore = 1.16
        OmegaSuperiore = 1.29
    Case Is <= 50
        OmegaInferiore = 1.29
        OmegaSuperiore = 1.45
    Case Is <= 60
        OmegaInferiore = 1.45
        OmegaSuperiore = 1.64
    Case Is <= 70
        OmegaInferiore = 1.64
        OmegaSuperiore = 1.86
    Case Is <= 80
        OmegaInferiore = 1.86
        OmegaSuperiore = 2.11
    Case Is <= 90
        OmegaInferiore = 2.11
        OmegaSuperiore = 2.38
    Case Is <= 100
        OmegaInferiore = 2.38
        OmegaSuperiore = 2.68
    Case Is <= 110
        OmegaInferiore = 2.68
        OmegaSuperiore = 3.01
    Case Is <= 120
        OmegaInferiore = 3.01
        OmegaSuperiore = 3.38
    Case Is <= 130
        OmegaInferiore = 3.38
        OmegaSuperiore = 3.78
    Case Is <= 140
        OmegaInferiore = 3.78
        OmegaSuperiore = 4.22
    Case Is <= 150
        OmegaInferiore = 4.22
        OmegaSuperiore = 4.7
    Case Is <= 160
        OmegaInferiore = 4.7
        OmegaSuperiore = 5.21
    Case Is <= 170
        OmegaInferiore = 5.21
        OmegaSuperiore = 5.76
    Case Is <= 180
        OmegaInferiore = 5.76
        OmegaSuperiore = 6.34
    Case Is <= 190
        OmegaInferiore = 6.34
        OmegaSuperiore = 6.95
    Case Is <= 200
        OmegaInferiore = 6.95
        OmegaSuperiore = 7.59
    Case Is <= 210
        OmegaInferiore = 7.59
        OmegaSuperiore = 8.27
    Case Is <= 220
        OmegaInferiore = 8.27
        OmegaSuperiore = 8.97
    Case Is <= 230
        OmegaInferiore = 8.97
        OmegaSuperiore = 9.74
    Case Is <= 240
        OmegaInferiore = 9.74
        OmegaSuperiore = 10.56
    'valori singoli
    Case Is = 241
        OmegaInferiore = 10.65
        OmegaSuperiore = 10.65
    Case Is = 242
        OmegaInferiore = 10.73
        OmegaSuperiore = 10.73
    Case Is = 243
        OmegaInferiore = 10.93
        OmegaSuperiore = 10.93
End Select

If Lambda / 10 = Int(Lambda / 10) Then
    'Lambda  uno dei valori di base della tabella
    OmegaAcciaio510D = OmegaSuperiore
Else
    DeltaLambda = Lambda - Int(Lambda / 10) * 10
    DeltaOmega = (OmegaSuperiore - OmegaInferiore)
    OmegaAcciaio510D = OmegaInferiore + DeltaOmega / 10 * DeltaLambda
    'Due cifre dopo la virgola
    OmegaAcciaio510D = Int(OmegaAcciaio510D * 100 + 0.5) / 100
End If

End Function
